Bug 83830 - SIDEBAR: Proposal for the creation of a page tab
Summary: SIDEBAR: Proposal for the creation of a page tab
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium enhancement
Assignee: Susobhan Ghosh
QA Contact:
URL:
Whiteboard: target:5.3.0
Keywords:
: 101117 (view as bug list)
Depends on: 105081
Blocks: Sidebar-New-Decks Sidebar-Page
  Show dependency treegraph
 
Reported: 2014-09-13 23:03 UTC by Yousuf Philips (jay)
Modified: 2017-06-20 13:47 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
Page Tab Mockup (43.83 KB, image/png)
2014-09-13 23:03 UTC, Yousuf Philips (jay)
Details
iWork Pages sidebar (59.72 KB, image/png)
2014-09-18 22:22 UTC, Tin Man
Details
Page Tab Mockup - Update 1 (35.43 KB, image/png)
2014-09-19 01:16 UTC, Yousuf Philips (jay)
Details
Page Tab Mockup - Update 2 (39.02 KB, image/png)
2014-09-19 21:09 UTC, Yousuf Philips (jay)
Details
Page Tab Mockup - Update 3 (39.29 KB, image/png)
2014-09-21 01:05 UTC, Yousuf Philips (jay)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-09-13 23:03:04 UTC
Created attachment 106236 [details]
Page Tab Mockup

In the properties tab/pane of the sidebar, there is a page section that only appears in writer. This section could be used in other apps like calc, impress and draw, but unfortunately there is either not enough space (calc) or the section doesnt appear when inside a textbox (impress and draw).

So i'd like to suggest the addition of a new dedicated page tab that would contain the features currently present in the page section, as well as a few extra features. This new tab would be available to all apps (except math and base), but a few of the features will need to be dimmed depending on which app its in.

I have included a mockup of what i think this page could look like and i welcome suggestions and hopefully a dev that can assist me with its implementation.
Comment 1 V Stuart Foote 2014-09-13 23:55:03 UTC
@Jay, *,

Implementing an additional tab in the Tab bar to define a new content panel for the deck is in line with the Sidebar being a dynamic and flexible UI for organizing tools--as alternative to toolbars.  

A dedicated Page layout & style content panel for the deck does make sense.  Would be a good UI/UX enhancement and being implemented in UI SFX2 should be a fairly simple implementation.

Setting new. Hope a dev will take it on once design can be agreed to.
Comment 2 Tin Man 2014-09-18 22:22:53 UTC
Created attachment 106526 [details]
iWork Pages sidebar

(Adding this, since it was the clear inspiration.)
Comment 3 Tin Man 2014-09-18 22:42:17 UTC
I'll comment on your second mockup (https://redmine.documentfoundation.org/attachments/download/211/Proposal-page-2-mod.png), which I prefer.

I'm sorely missing page styles, which should really be the highlight here. A button offering to update the page style when it changes (a la styles in Pages: https://bugs.freedesktop.org/show_bug.cgi?id=73071#c17) would be great.

Orientation makes more sense as a button, as it's binary.

I'd prefer "Paper Format" as a category heading rather than "Format". "Format" could apply to any of the properties, the "Paper" part makes it clear what it's about.

I don't think "Others" should be a section -- try to organize it. I'd suggest to put Layout, Columns, and Numbers (called "Format" under "Layout settings" in LibreOffice) under a "Layout" section. I'm not sure about "Background". Is the background printed with the document, or does it just imply the color of the paper to print on? If it's the latter, then I'd suggest Paper Format. Then again, since you didn't include all page properties, I'm thinking Background is one of the least important items to include. I wouldn't include it, at least not in Writer.

Lastly, I think designing a one-size-fits-all Page panel is suboptimal (e.g. not all modules have page styles). I'd suggest to look at each module individually and propose one for each (keeping the same structure, though).
Comment 4 Yousuf Philips (jay) 2014-09-19 01:16:26 UTC
Created attachment 106529 [details]
Page Tab Mockup - Update 1
Comment 5 Yousuf Philips (jay) 2014-09-19 02:51:51 UTC
(In reply to comment #2)
> (Adding this, since it was the clear inspiration.)

Yes iWork Pages was the primary inspiration for the mockup.

(In reply to comment #3)
> I'm sorely missing page styles, which should really be the highlight here. A
> button offering to update the page style when it changes (a la styles in
> Pages: https://bugs.freedesktop.org/show_bug.cgi?id=73071#c17) would be
> great.

A page styles drop down isnt needed as a user can easily change the page's assigned page style in the statusbar and 'styles and formatting' tab. When users are modifying the data in the page tab, they are modifying the style. :)

> Orientation makes more sense as a button, as it's binary.

Yes it is binary, but it would simply take up 2 lines for no real benefit.

> I'd prefer "Paper Format" as a category heading rather than "Format".
> "Format" could apply to any of the properties, the "Paper" part makes it
> clear what it's about.

The heading of the tab is 'Page', so it is to be understood that 'Format' is 'Page Format'.

> I don't think "Others" should be a section -- try to organize it. I'd
> suggest to put Layout, Columns, and Numbers (called "Format" under "Layout
> settings" in LibreOffice) under a "Layout" section.

'Others' is the temporary label i've gone with the for the time being as something more useful hasnt popped to mind. 'Layout' isnt suitable as there is already a Layout entry.

> I'm not sure about
> "Background". Is the background printed with the document, or does it just
> imply the color of the paper to print on? If it's the latter, then I'd
> suggest Paper Format. Then again, since you didn't include all page
> properties, I'm thinking Background is one of the least important items to
> include. I wouldn't include it, at least not in Writer.

Background is from the background/area tab in the page style drop down. It is useful as it is highly used in impress and draw.

> Lastly, I think designing a one-size-fits-all Page panel is suboptimal (e.g.
> not all modules have page styles). I'd suggest to look at each module
> individually and propose one for each (keeping the same structure, though).

There isnt a need to make multiple ones because very little is being changed between the modules, as can be seen in attachment 106236 [details]. I have also removed header and footer details from the 'Others' section, as it wont be utilized in impress and draw, so it wont be shown there.
Comment 6 Jean-Francois Nifenecker 2014-09-19 05:28:33 UTC
I like the latest mockup. 
The question is still: should the Page tab be a full replacement/alternative to the Format>Page dialog? IOW, what about accessing the header and footer properties, page background, page footnotes, etc?
As it is, it seems an half-baked solution which I would avoid to go the Format>Page dialog because of the completeness I'm looking for.

Side suggestion: have keyboard shortcuts to call each of the individual the Sidebar panels is a requirement.
Comment 7 Tin Man 2014-09-19 10:58:08 UTC
Hi again,

(In reply to comment #5)
> (In reply to comment #3)
> > I'm sorely missing page styles, which should really be the highlight here. A
> > button offering to update the page style when it changes (a la styles in
> > Pages: https://bugs.freedesktop.org/show_bug.cgi?id=73071#c17) would be
> > great.
> 
> A page styles drop down isnt needed as a user can easily change the page's
> assigned page style in the statusbar and 'styles and formatting' tab.

The statusbar is a terrible place to set the page style at -- I hope that element gets removed, because the status bar really should be about showing status, not setting options.

Yes, it's also under "Styles and Formatting", but given that this is a Page properties panel, the current page style belongs here as well.

> When users are modifying the data in the page tab, they are modifying the style.
> :)

Though it seems counter-intuitive based on how other styles work, you're right.

> > Orientation makes more sense as a button, as it's binary.
> 
> Yes it is binary, but it would simply take up 2 lines for no real benefit.

Why would it take up 2 lines? All that's needed is a button that reads "Switch to Portrait Orientation" when in landscape orientation and "Switch to Landscape Orientation" when in portrait.

The benefit here is the much simpler interaction -- a simple click rather than click, move mouse, click again.

> > I'd prefer "Paper Format" as a category heading rather than "Format".
> > "Format" could apply to any of the properties, the "Paper" part makes it
> > clear what it's about.
> 
> The heading of the tab is 'Page', so it is to be understood that 'Format' is
> 'Page Format'.

That's why I said "Paper Format" -- these are properties related to the paper you'll be printing on.

> > I don't think "Others" should be a section -- try to organize it. I'd
> > suggest to put Layout, Columns, and Numbers (called "Format" under "Layout
> > settings" in LibreOffice) under a "Layout" section.
> 
> 'Others' is the temporary label i've gone with the for the time being as
> something more useful hasnt popped to mind. 'Layout' isnt suitable as there
> is already a Layout entry.

In the formatting dialog, "Page layout" is an entry under "Layout settings". You could do the same thing.
> 
> > I'm not sure about
> > "Background". Is the background printed with the document, or does it just
> > imply the color of the paper to print on? If it's the latter, then I'd
> > suggest Paper Format. Then again, since you didn't include all page
> > properties, I'm thinking Background is one of the least important items to
> > include. I wouldn't include it, at least not in Writer.
> 
> Background is from the background/area tab in the page style drop down. It
> is useful as it is highly used in impress and draw.

That's why I suggested to make separate mockups for different modules. Writer is primarily about printable pages of text, so it's useful to know whether the background will be printed or not (please answer my question about that). Impress and Draw tend to be presented on-screen and it generally always makes sense to print the slide background along with the slide, since it's such an inseparable part of the slide.

> > Lastly, I think designing a one-size-fits-all Page panel is suboptimal (e.g.
> > not all modules have page styles). I'd suggest to look at each module
> > individually and propose one for each (keeping the same structure, though).
> 
> There isnt a need to make multiple ones because very little is being changed
> between the modules, as can be seen in attachment 106236 [details]. I have
> also removed header and footer details from the 'Others' section, as it wont
> be utilized in impress and draw, so it wont be shown there.

But the prioritization is different. For example, margins are much more important than the page background in Writer, but the opposite is true in Impress.
Comment 8 Yousuf Philips (jay) 2014-09-19 21:09:17 UTC
Created attachment 106564 [details]
Page Tab Mockup - Update 2
Comment 9 Yousuf Philips (jay) 2014-09-19 22:09:04 UTC
(In reply to comment #6)
> I like the latest mockup. 

Glad you like it and hope you like the latest one more.

> The question is still: should the Page tab be a full replacement/alternative
> to the Format>Page dialog?

It is not possible for it to be a full replacement for the Format > Page dialog in writer or calc, because the dialog has way to much information that couldnt be packed into such a small sidebar area. It can replace the dialog in impress and draw, as they only have 2 tabs in the dialog - page, background.

> IOW, what about accessing the header and footer
> properties, page background, page footnotes, etc?

With new sections for header and footer in the latest mockup, it will be possible to jump into those particular tabs in the dialog.

> As it is, it seems an half-baked solution which I would avoid to go the
> Format>Page dialog because of the completeness I'm looking for.

You cant please everyone with things added to the sidebar, as you cant fit everything in it, but you can attempt to fit the most used features. If you look at the text properties tab, you have sections for character and paragraph. These sections do not contain everything that is available in the character and paragraph dialogs, but are still useful rather than opening up those dialogs for commonly used features.

> Side suggestion: have keyboard shortcuts to call each of the individual the
> Sidebar panels is a requirement.

I think that is a good idea and you should file a new bug enhancement for it.
Comment 10 Yousuf Philips (jay) 2014-09-19 23:08:28 UTC
(In reply to comment #7)
> Hi again,

Hey Mirek,

> The statusbar is a terrible place to set the page style at -- I hope that
> element gets removed, because the status bar really should be about showing
> status, not setting options.

I think its a convenient way to set it rather than having to go into the 'Styles and Formatting' dialog to do it there. As you feel that the statusbar shouldnt be used to set status, are you also looking to have the zoom slider removed.

> Yes, it's also under "Styles and Formatting", but given that this is a Page
> properties panel, the current page style belongs here as well.

This is a page style properties panel for the modification of the current page style, in the same way that the page style dialog modifies the currently set page style.

> Though it seems counter-intuitive based on how other styles work, you're
> right.

Yep page styles are a funny thing when you compare it with paragraph and character styles.

> Why would it take up 2 lines? All that's needed is a button that reads
> "Switch to Portrait Orientation" when in landscape orientation and "Switch
> to Landscape Orientation" when in portrait.

Well i was going with the idea that it was going to be radio buttons, like in the dialog, but I guess a single clickable button to switch the orientation will work.

> The benefit here is the much simpler interaction -- a simple click rather
> than click, move mouse, click again.

Yes a single click would always be preferable, though i dont see that click, move mouse, click again is that much of a disadvantage.


> That's why I said "Paper Format" -- these are properties related to the
> paper you'll be printing on.

Guess this is something we wont agree on. Ultimately, i'm keeping headings as just single words.

> In the formatting dialog, "Page layout" is an entry under "Layout settings".
> You could do the same thing.

Those labels dont make sense to me, and i'd assume others as well, so i've chosen not to use them. The words 'Page Layout' can mean a number of things to a number of people. I'd assume most people would consider 'Page Layout' to be how things are laid out on the page, similar to how you have slide layout in impress.

> That's why I suggested to make separate mockups for different modules.
> Writer is primarily about printable pages of text, so it's useful to know
> whether the background will be printed or not (please answer my question
> about that). Impress and Draw tend to be presented on-screen and it
> generally always makes sense to print the slide background along with the
> slide, since it's such an inseparable part of the slide.

As background is used in all modules, there isnt a need to eliminate it from the writer sidebar. Regarding whether the background color is printed or not, i'd assume it is printed and not about the paper color, as you can set the background as an image, a color gradient, etc.

> But the prioritization is different. For example, margins are much more
> important than the page background in Writer, but the opposite is true in
> Impress.

Well the sections could be swapped depending on the use case of a particular app but i think its best to keep the sidebar looking the same across multiple apps. We dont reorganize other sidebar content depending on what is used more in other apps.
Comment 11 Yousuf Philips (jay) 2014-09-21 01:05:30 UTC
Created attachment 106594 [details]
Page Tab Mockup - Update 3

I believe that this is the finalized layout mockup that i'll be doing after listening to feedback from a number of sources. There maybe debate later on about label/section names, but presently thats not important enough to warrant additional mockup work.

I look forward to hearing from devs who are interested in making this a reality.
Comment 12 A (Andy) 2014-09-21 08:34:06 UTC
it looks nice
Comment 13 V Stuart Foote 2014-09-24 19:39:17 UTC
@Jay, *,
(In reply to comment #11)
> Page Tab Mockup - Update 3
> 
> I believe that this is the finalized layout mockup that i'll be doing after
> listening to feedback from a number of sources. There maybe debate later on
> about label/section names, but presently thats not important enough to
> warrant additional mockup work.
> 
> I look forward to hearing from devs who are interested in making this a
> reality.

This proposed Page Content Panel for the SideBar tray is going to need assignment to an object on the Tab bar. Your mockups have yet to show that. Assume it is not going to be resident on the Properties Tab--so will need a new Tab bar item as well to be able to navigate to it.
Comment 14 Yousuf Philips (jay) 2014-09-25 00:56:43 UTC
(In reply to comment #13)
> This proposed Page Content Panel for the SideBar tray is going to need
> assignment to an object on the Tab bar. Your mockups have yet to show that.
> Assume it is not going to be resident on the Properties Tab--so will need a
> new Tab bar item as well to be able to navigate to it.

Yes it would require a new tab bar icon, which would likely be the icon for .uno:setdocumentproperties.
Comment 15 Jean-Francois Nifenecker 2014-09-30 08:32:09 UTC
(In reply to comment #13)

> I think that is a good idea and you should file a new bug enhancement for it.

Done: see https://bugs.freedesktop.org/show_bug.cgi?id=84502
Comment 16 Yousuf Philips (jay) 2015-06-02 08:55:38 UTC
Looking over the last mockup again, these corrections are needed

Margins:
1) spin controls should be removed
2) Margin preset combobox should be moved to the Format section with a label

Header:
1) Height label and control should be remove and replaced by the 'Same content' label and combobox
2) Margin spin controls should be replaced with combobox with preset margins
3) Spacing spin control should be replaced with combobox with preset spacing

It would great if it is possible to add a centered 'Insert Page Number' button in the Header section, which would enable the header if not already active and add a new paragraph which is centered and add a page number field to it.
Comment 17 Juraj Václavík 2015-11-11 16:18:39 UTC
These suggestions are interesting but I think, that there is a lot of free space. This panel, by my opinion, is for operative access and it's effectivity depends on good segmentation and available function scale.
Comment 18 Juraj Václavík 2015-11-11 16:19:26 UTC
Sorry, see my suggestion in bug 95731.
Comment 19 Susobhan Ghosh 2016-05-25 10:56:11 UTC
(In reply to Yousuf (Jay) Philips from comment #16)
> Looking over the last mockup again, these corrections are needed
> 
> Margins:
> 1) spin controls should be removed
> 2) Margin preset combobox should be moved to the Format section with a label
> 
> Header:
> 1) Height label and control should be remove and replaced by the 'Same
> content' label and combobox
> 2) Margin spin controls should be replaced with combobox with preset margins
> 3) Spacing spin control should be replaced with combobox with preset spacing
> 
> It would great if it is possible to add a centered 'Insert Page Number'
> button in the Header section, which would enable the header if not already
> active and add a new paragraph which is centered and add a page number field
> to it.

It'd be best if you could upload a new mockup with the aforementioned changes. I've already started working on the page tab.
Comment 20 Commit Notification 2016-05-26 09:02:24 UTC
Rishabh Kumar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2060543586fa01d77ed17fd7904a903313b2251e

tdf#83830: Writer page sidebar deck

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Cor Nouws 2016-05-26 10:44:31 UTC
(In reply to Yousuf (Jay) Philips from comment #0)
> Created attachment 106236 [details]
> Page Tab Mockup

Looking here for first time. Great and encouraging work :) Rishabh, Bubli, Jay, * !

One suggestion (not sure if it's already mentioned, so possibly sorry ..):
The string "Numbers" (section Others) maybe can be "Number style". Thus possibly increasing the change that people understand that they choose a style and do not set page numbering or so... (to mention a difficult item for the newcomers).

Ciao,
Cor
Comment 22 V Stuart Foote 2016-05-27 19:01:15 UTC
(In reply to Commit Notification from comment #20)
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=2060543586fa01d77ed17fd7904a903313b2251e
> 
> tdf#83830: Writer page sidebar deck
> 
> It will be available in 5.3.0.
> 
Great!  But it doesn't show yet in
Version: 5.3.0.0.alpha0+ (x64)
Build ID: e10a4c1cc9f8b2033997c7f032255071aafab9c9
CPU Threads: 8; OS Version: Windows 6.19; UI Render: default; 
TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-05-27_00:12:19
Locale: en-US (en_US)

To be able to see and test this, think we also need to add a button to the Tab bar for the new Page deck content panels. And probably should then remove the old Page "content panel" from the Properties deck.
Comment 23 Susobhan Ghosh 2016-05-28 09:00:00 UTC
(In reply to V Stuart Foote from comment #22)
> (In reply to Commit Notification from comment #20)
> > http://cgit.freedesktop.org/libreoffice/core/commit/
> > ?id=2060543586fa01d77ed17fd7904a903313b2251e
> > 
> > tdf#83830: Writer page sidebar deck
> > 
> > It will be available in 5.3.0.
> > 
> Great!  But it doesn't show yet in
> Version: 5.3.0.0.alpha0+ (x64)
> Build ID: e10a4c1cc9f8b2033997c7f032255071aafab9c9
> CPU Threads: 8; OS Version: Windows 6.19; UI Render: default; 
> TinderBox: Win-x86_64@62-TDF, Branch:MASTER, Time: 2016-05-27_00:12:19
> Locale: en-US (en_US)
> 
> To be able to see and test this, think we also need to add a button to the
> Tab bar for the new Page deck content panels. And probably should then
> remove the old Page "content panel" from the Properties deck.

Please enable experimental features to view the new deck. The deck and constituent panels are currently a stub, nothing more. Two panels are up on gerrit - 25520 and 25530.
Comment 24 V Stuart Foote 2016-05-28 13:09:07 UTC
(In reply to Susobhan Ghosh from comment #23)

> 
> Please enable experimental features to view the new deck. The deck and
> constituent panels are currently a stub, nothing more. Two panels are up on
> gerrit - 25520 and 25530.

Sorry I'd done so but missed it as I moused over the button, or looked at the customization split button.

Looks like its .ui label needs to be corrected in the Sidebar.xcu source at: http://opengrok.libreoffice.org/xref/core/officecfg/registry/data/org/openoffice/Office/UI/Sidebar.xcu#46

Currently it is named as a second "Properties" button/panel rather than as "Page Layout", and the sidebar-template-large.png image selected as an icon has no visual association with a page.

But, will check panel again when https://gerrit.libreoffice.org/#/c/25530/ and https://gerrit.libreoffice.org/#/c/25520/ post.
Comment 25 Heiko Tietze 2016-05-29 07:42:29 UTC
Some minor UX issues:
* Labels are center aligned but should be right (see also tdf#99104)
* Controls are not properly aligned with a small indentation; striking for Margin without labels
* All controls should have also a small indentation from the right side
* Header and Footer are not checked by default but enabled
* Footer checkbox doesn't disable the content
* Disabling controls should also affect the associated labels (i.e. margins, spacing, same content)

Bascially the tab provides access to almost all page settings. But the HIG [1] says to show only frequently used properties, and to have a one-click interaction. I admit that the HIG was written after this ticket and users like Eve may benefit from the ample options. What we (also) need, however, is a simple settings tab or deck for the ordinary Benjamins. Just to keep this in mind.

[1] https://wiki.documentfoundation.org/Design/SideBar
Comment 26 Commit Notification 2016-06-06 10:10:38 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8b99402338773150fc0c8c6f894eb610e056d79e

tdf#83830: Page Format Panel

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 27 Commit Notification 2016-06-10 21:13:40 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0d66c76fc61c09df17b0a1bebbcc5270df267117

tdf#83830: Change Page Deck Icon and Tooltip

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 28 Commit Notification 2016-06-13 15:43:30 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3e19a763b95c45c275d15356ff5531e855cfcb03

tdf#83830: Removal of Page Margin Panel

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 29 Commit Notification 2016-06-14 08:09:02 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=656513d15116a3c6feeadc6a3353a304e0b3ef2b

tdf#83830: Moved margin preset control to Format Panel

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 30 Commit Notification 2016-06-17 14:03:47 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b461236af355d8f504064ac6cfe259b9f8a7b01e

tdf#83830: Page Header Panel & Page Footer Panel

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 31 V Stuart Foote 2016-06-20 01:39:46 UTC
@Susobhan, bubli

I like where the "Page" content panel for the Sidebar deck is going.

I hope the droplist widgets can be reduced to sizes more appropriate to their content. And it  seems like some of the packing for the widgets needs to be adjusted, as is the widgets are all crowding against the Tab bar.

Also, really would like to make a pitch that one of the margin presets needs to be "None" with 0.00" margins set on all sides as is done now for Impress slides.

It is one of the first things folks do in working with Draw--and I would make the argument that default for Draw should actually also be None/0.00"

Writer size and margin defaults are fine of course. But with removal of the Margin panel adding a None/0.00" preset becomes more necessary--otherwise you *have* to open the "More options" dialog just to clear the margin.
 
Stuart
Comment 32 Yousuf Philips (jay) 2016-06-21 14:19:21 UTC
@Stuart,

I think you are confusing the Page deck for Writer (this bug) with the Slide/Page content panel in the Properties deck in Impress/Draw (bug 89466).
Comment 33 V Stuart Foote 2016-06-21 15:40:26 UTC
Not at all, requirement for the Sidebar Deck's Page related Content Panels are to supplement the settings widgets found for all modules on the Page Setup/Style dialog -- and as still reached in the Sidebar from the "More options" button being added to each content panel.

We've always had the Writer -> Properties tab:Page content panel--which this enhancement should be moving to its own tab bar and deck for Writer (and arguably for the other modules as well).

Most actions have received UNO commands now for work in .ui and Susobhan has been crafting usefull Content panels -- Writer -> Page tab:Format content panel for this. And the Draw -> Properties tab:Page content panel to add the function.

But, adjusting margins in each module is such a frequent requirement, the Sidebar GUI needs to be well reasoned and consistent.  Adding a "None/0.00" for the dropdown lists of predefined margins is appropriate--having margins of 0.00 show as custom, and only set through the "More options", "Page setup" or "Page Style" dialogs of various labelings is not consistent UI.
Comment 34 Yousuf Philips (jay) 2016-06-23 12:39:31 UTC
(In reply to V Stuart Foote from comment #33)
> Not at all, requirement for the Sidebar Deck's Page related Content Panels
> are to supplement the settings widgets found for all modules on the Page
> Setup/Style dialog -- and as still reached in the Sidebar from the "More
> options" button being added to each content panel.

It is possible that writer's page deck could also be used in calc (of course with some minor adjustments), but the content panels dont translate for impress and draw which doesnt have page styles, headers or footers.

> But, adjusting margins in each module is such a frequent requirement, the
> Sidebar GUI needs to be well reasoned and consistent.  Adding a "None/0.00"
> for the dropdown lists of predefined margins is appropriate--having margins
> of 0.00 show as custom, and only set through the "More options", "Page
> setup" or "Page Style" dialogs of various labelings is not consistent UI.

0.00 margins in impress and draw makes sense as presentation slides arent printed on regular paper and digital drawing dont need margins. But if consistency is wanted in the margins drop down menu, then I dont have a problem for it to be included.
Comment 35 Commit Notification 2016-06-23 13:15:57 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3881fffe4233ce3aa02051b205c114c1cb520d67

tdf#83830: Page Styles Panel

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 36 Susobhan Ghosh 2016-06-23 13:29:39 UTC
(In reply to Yousuf (Jay) Philips from comment #34)

> 0.00 margins in impress and draw makes sense as presentation slides arent
> printed on regular paper and digital drawing dont need margins. But if
> consistency is wanted in the margins drop down menu, then I dont have a
> problem for it to be included.

I guess I'll add that then. I've added a patch to remove the experimental status from the deck (https://gerrit.libreoffice.org/#/c/26591/).

Since all the panels are functional and have been merged now, I encourage everyone to test them and report bugs if any.
Comment 37 Commit Notification 2016-06-23 20:51:33 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dd1528b81f4c90c1db8f8eeb38bacc727490c6b6

tdf#83830: Remove experimental status from Page Deck

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 38 Heiko Tietze 2016-06-24 00:14:42 UTC
* Draw starts now with Page properties instead of an empty sidebar (not bad)
* Controls are right aligned but should rather right of the longest label which has to be left aligned. And indentation is missing anyway.
* Dropdown for format shows only two items but should eight (if available).
* Background = color: would be nice to get the usual color picker from the sidebar here that has access to palettes; insert image should be hidden unless bitmap is selected (or rather completely; way too many options)
* Background = gradient: show the presets list rather than the direct modifications with just the start and end color* Display objects: on/off has no effect (tooltips are missing in general)
* Dialog button (the thing in the deck's header labelled "more options") is not well aligned
* Orientation has only two options, consider radiobuttons

In general, I dislike the context switch from object to page that hides all decks from shapes or whatever was selected before and vice versa. As a rule of thumb: Do not hide controls unless it never applies to the current user/scenario/etc. But that's a comment to the sidebar workflow. Page properties could also go into an extra tab.

* LibO always crashes when the deck selector is closed (tested with Draw).
Comment 39 Susobhan Ghosh 2016-06-24 07:30:25 UTC
(In reply to Heiko Tietze from comment #38)
> * Draw starts now with Page properties instead of an empty sidebar (not bad)
> * Controls are right aligned but should rather right of the longest label
> which has to be left aligned. And indentation is missing anyway.
> * Dropdown for format shows only two items but should eight (if available).
> * Background = color: would be nice to get the usual color picker from the
> sidebar here that has access to palettes; insert image should be hidden
> unless bitmap is selected (or rather completely; way too many options)
> * Background = gradient: show the presets list rather than the direct
> modifications with just the start and end color* Display objects: on/off has
> no effect (tooltips are missing in general)
> * Dialog button (the thing in the deck's header labelled "more options") is
> not well aligned
> * Orientation has only two options, consider radiobuttons
> 
> In general, I dislike the context switch from object to page that hides all
> decks from shapes or whatever was selected before and vice versa. As a rule
> of thumb: Do not hide controls unless it never applies to the current
> user/scenario/etc. But that's a comment to the sidebar workflow. Page
> properties could also go into an extra tab.
> 
> * LibO always crashes when the deck selector is closed (tested with Draw).

I guess you're confusing between Page Panel in Draw and Page Deck in Writer. The page panel in Draw is nothing but the Slide Background panel in Impress renamed as Page. So could you please highlight the ones applicable to the Writer Deck, and the ones applicable to the page properties in Draw separately (https://bugs.documentfoundation.org/show_bug.cgi?id=89466)?
Comment 40 Heiko Tietze 2016-06-24 07:59:50 UTC
(In reply to Susobhan Ghosh from comment #39)
> I guess you're confusing between Page Panel in Draw and Page Deck in Writer.
You are right, the observations are related to Draw and Impress. And all are valid for both modules. (Actually a little bit more in Impress since a presentation in portrait mode is very unlikely.)

In Writer I don't see any change for the sidebar.
Comment 41 Commit Notification 2016-06-28 07:45:14 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be40d4e7102d79d1e3aac5771869585cd1545379

tdf#83830: Add None as Margin Preset in Format Panel

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 42 V Stuart Foote 2016-07-26 11:21:38 UTC
*** Bug 101117 has been marked as a duplicate of this bug. ***
Comment 43 V Stuart Foote 2016-07-26 11:48:04 UTC
@Susobhan, bubli

Can you revisit the widget layout for elements on the content panels of the Page deck. It seems the minimum width for all the dropdown list and spinner widgets is set too wide, and wider than need be for the values held.

As is, the deck can not be narrowed/shrunk to reasonable widths. And when opened at the default width, coming from the Properties deck, the actual selection button for each Page attribute remains partially hidden off the right edge of the deck.

Minimum width for each widget in the content panels on the Page deck should be reduced. 

Related, if you expand and contract the Properties deck, and then do the same with the new Page deck, the packing for the Page deck seems wrong in comparison. It has a different "feel" to what the Properties deck has when resizing.

Widgets in the Styles content panel hold their widths, but those in the Format, Header and Footer content panels expand and contract.
Comment 44 Commit Notification 2016-08-08 08:48:32 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1420b5765b4b1261c50b11fe7d0355ca7ca692b7

tdf#83830: Adjust alignment of Writer Tab Panels

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 45 Yousuf Philips (jay) 2016-08-08 13:05:03 UTC
@Stuart: The problem is with the page numbering control in the styles content panel which has a minimum size of 200px and this cant be modified at the glade level. I've suggested to susobhan that he hide the current control and create a standard drop down control with the same entries in it and have them in sync.
Comment 46 Commit Notification 2016-08-12 09:33:32 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9592bbea315e04da36a1a26e687490ea93c4cc6

tdf#83830: Writer page deck and panels changed to non-contextual

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 47 Commit Notification 2016-08-13 09:26:28 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f9f401c94f7381880659a7641396c8173fcce6f

tdf#83830: Tweaks to page header and footer panels

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 48 Commit Notification 2016-08-13 09:31:51 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f8b734a4e2b235c12e86d84c7691e39d05786032

tdf#83830 Change 'Margin' to 'Margins' in Page Format Panel

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 49 Commit Notification 2016-08-18 09:20:56 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=451ad09dcb07487dfd0cec58d315595c46863bc4

tdf#83830: Numbering dropdown set to 6 lines, label adjustments

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 50 Commit Notification 2016-08-18 21:08:24 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3ac60abd6f487a32fa605c1761f5f7752f1125cb

tdf#83830: Limit width of color/gradient listbox to 150px

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 51 Commit Notification 2016-08-25 08:38:28 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6f437466f96868cb10187c404ed84fb6d3dcc645

tdf#83830: Use SpacingListBox in Header/Footer and Sidebar Wrap Panel

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 52 Commit Notification 2016-08-29 13:18:45 UTC
Susobhan Ghosh committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8393d4642273bfb3eb0cd0b68157e2b8674b70df

tdf#83830: Use samecontentlistbox in Header/Footer Panel

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 53 Óvári 2016-10-02 21:16:02 UTC
The image at:
https://wiki.documentfoundation.org/ReleaseNotes/5.3#Sidebar
sometimes has a space between the value and the inch (i.e. ") symbol:
has:
8.27 "
11.69 "
0.75"

Suggestion, would it be better to never have a space between the value and the inch symbol?
8.27"
11.69"
0.75"

Thank you
Comment 54 Yousuf Philips (jay) 2016-10-09 08:00:36 UTC
@Ovari: I think it is fine, as there shouldnt be a space between the '"' and the value for inches, but as the input fields deal with all measurements, it needs to have a space after '"'.

So here are some of the remaining issues that need to be fixed with the deck.

1) Background Gradient: It doesnt have the gradient style and angle fields found in the area content panel
2) Background Bitmap: It doesnt have an import button
Comment 55 Heiko Tietze 2016-10-09 13:27:24 UTC
"The International System of Units (SI) recommends inserting a space between a number and a unit of measurement units and between units in compound units..."
https://en.wikipedia.org/wiki/Space_(punctuation)#Spaces_and_unit_symbols

"In general, a normal ("breaking") space is used between a number and a unit name, but a nonbreaking space ({{nbsp}} or &nbsp) between a number and a unit symbol (or {{nowrap}} may be used)."

29 kg (Markup: 29 kg or {{nowrap|29 kg}})

https://en.wikipedia.org/wiki/Wikipedia:Manual_of_Style/Dates_and_numbers#Units_of_measurement

Exceptions are angles (42' or 12°) also true for temperature (10°C)

Putting all together it has to be consistent, at best with a space.

PS: The question about spaces may result from plenking.
https://en.wikipedia.org/wiki/Plenken
Comment 56 Óvári 2016-10-09 20:52:06 UTC
(In reply to Heiko Tietze from comment #55)
> "The International System of Units (SI) recommends inserting a space between
> a number and a unit of measurement units and between units in compound
> units..."
> https://en.wikipedia.org/wiki/Space_(punctuation)#Spaces_and_unit_symbols
The only exception to this rule is the SI the symbolic notation of angles: degree (e.g. 30°), minute of arc (e.g. 22′), and second of arc (e.g. 8″).

http://physics.nist.gov/cuu/Units/checklist.html
#15 Unit spacing
There is a space between the numerical value and unit symbol, even when the value is used in an adjectival sense, except in the case of superscript units for plane angle.
proper: an angle of 2° 3' 4"
improper: an angle of 2 ° 3 ' 4 "
> 
> "In general, a normal ("breaking") space is used between a number and a unit
> name, but a nonbreaking space ({{nbsp}} or &nbsp) between a number and a
> unit symbol (or {{nowrap}} may be used)."
> 
> 29 kg (Markup: 29 kg or {{nowrap|29 kg}})
> 
> https://en.wikipedia.org/wiki/Wikipedia:Manual_of_Style/
> Dates_and_numbers#Units_of_measurement
> 
> Exceptions are angles (42' or 12°) also true for temperature (10°C)
10°C should be written as 10 °C (Markup: 10 °C or {{nowrap|10 °C}}); so °C is not an exception.
> 
> Putting all together it has to be consistent, at best with a space.
Yes as it would seem that the convention is that without a space, the numerical value refers to an angle.
> 
> PS: The question about spaces may result from plenking.
> https://en.wikipedia.org/wiki/Plenken
Thank you